#
# spec file for package mousepad
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mousepad
Version:        0.4.2
Release:        lp152.1.5
Summary:        Simple Text Editor for Xfce
License:        GPL-2.0-or-later
Group:          Productivity/Text/Editors
Url:            https://git.xfce.org/apps/mousepad/about/
Source:         https://archive.xfce.org/src/apps/mousepad/0.4/mousepad-%{version}.tar.bz2
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(libxfconf-0)

%description
Mousepad is a simple text editor for Xfce.

%lang_package

%prep
%setup -q

%build
%configure \
    --enable-gtk3 \
    --enable-dbus
%make_build

%install
%make_install

%find_lang %{name} %{?no_lang_C}

%suse_update_desktop_file %{name}

%files
%doc AUTHORS NEWS ChangeLog README
%license COPYING
%{_bindir}/mousepad
%{_datadir}/applications/mousepad.desktop
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.gschema.xml
%{_datadir}/polkit-1/

%files lang -f %{name}.lang

%changelog
* Sun Jul 28 2019 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to version 0.4.2
  * Port to GDBus (bxo#14337)
  * Show full path in window title by default (bxo#2896)
  * Reset modification time when new filename is set (bxo#10498)
  * Do not overwrite view settings when opening encoding dialog
    (bxo#12298)
  * Make dialog windows modal only for parent window (bxo#10488)
  * Add string to translation (bxo#11049)
  * Selecting a font via menu now disables system font (bxo#12773)
  * Check for exo-csource in maintainer mode (bxo#12719)
  * New line can't be printed in status bar (bxo#11050)
  * Do not move text cursor when searching backwards (bxo#14942)
  * Fix gravity of selection end mark (bxo#10986)
  * Missing line in dbus.h, found typo in window.h (bxo#10583)
  * Append a newline char at EOF when saving (bxo#4824)
  * Do not core dump on silly errors, just exit (bxo#12413)
  * Fix gtksourceview warnings/errors (bxo11663)
  * Only set template filetype when detected (bxo#15314)
  * Replace deprecated style properties in MousepadCloseButton
    (bxo#13114)
  * Fix Tab mode and Home/End Keys in preferences dialog (bxo#15075)
  * Fix language guess function (bxo#15141)
  * Read system font from xfconf property (bxo#12485)
  * Add pkexec policy (bxo#11088)
  * Fix g_type_class_add_private is deprecated
  * Set intltool minimum version
  * Bump minimal required glib
  * Translation updates
* Sat Jun  9 2018 seife+obs@b1-systems.com
- update to version 0.4.1
  - Fix crash when dragging tab to root window (bxo#13336)
  - Fix the signal definition of user-set-language (bxo#13630)
  - Prevent a weird cycle in GSettings use (bxo#12134)
  - Fix some warnings about using NULL (bxo#11663)
  - Limit prefs dialog tab width to range allowed by schema
    (bxo#12055)
  - Don't show hidden GSV languages (bxo#12043)
  - Encode filenames passed to DBus as UTF-8
  - Translation updates
- packaging changes:
  - fix Group: tag
  - build against GTK3
  - use %%license instead of %%doc
* Sat Feb 28 2015 gber@opensuse.org
- update to version 0.4.0
  - Use GSettings to improve preference handling
  - A new preferences dialog exposing all preferences in the GUI
  - Implement config and GUI preferences for various GtkSourceView
    properties such as:
  - Highlighting the current line
  - Match braces
  - Indentation width control
  - Right margin (long-line margin) column
  - Showing/hiding of line numbers
  - Smart home and end keys
  - Improved GUI configurability and state persistence, including:
  - A toolbar for commonly used items
  - Fullscreen support
  - Main menu re-organization
  - Improved editor context menu
  - Improved single-instance multi-window support
  - Remember and synchronize size, position, and state, across
    windows and instances
  - Support for building against GTK+ 3
  - Various other improvements and bugs fixed
- drop obsolete
  mousepad-fix-syntax-highlighting-and-creating-new-file.patch
* Sun May 11 2014 trcs@gmx.com
- add mousepad-fix-syntax-highlighting-and-creating-new-file.patch
  * fix bug https://bugzilla.xfce.org/show_bug.cgi?id=10134
* Sun Dec 30 2012 gber@opensuse.org
- initial packaging of the new development version
